[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Bug ld/6431] New: ld says: invalid version 3 (max 0)

From: niki dot waibel at gmx dot net
Subject: [Bug ld/6431] New: ld says: invalid version 3 (max 0)
Date: 18 Apr 2008 02:10:49 -0000

linking fails during compilation of glib-2.16.3 with the following message:
/misc/sparc-sun-solaris2.10/bin/ld: ../../gthread/.libs/libgthread-2.0.so:
pthread_mutex_unlock: invalid version 3 (max 0)
../../gthread/.libs/libgthread-2.0.so: could not read symbols: Bad value
collect2: ld returned 1 exit status
SunOS m5000 5.10 Generic_127111-02 sun4u sparc SUNW,SPARC-Enterprise Solaris

compiling some other sw works fine. i remember that this issue is there since
quite a while (2.17?) in binutils on solaris. i thought that this is going to be
fixed after a while -- as it has been reported here:

           Summary: ld says: invalid version 3 (max 0)
           Product: binutils
           Version: 2.18
            Status: NEW
          Severity: normal
          Priority: P2
         Component: ld
        AssignedTo: unassigned at sources dot redhat dot com
        ReportedBy: niki dot waibel at gmx dot net
                CC: bug-binutils at gnu dot org
 GCC build triplet: sparc-sun-solaris2.10
  GCC host triplet: sparc-sun-solaris2.10
GCC target triplet: sparc-sun-solaris2.10


------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]